db-jdo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Craig Russell <Craig.Russ...@Sun.COM>
Subject Re: JDO - JDK compatibility
Date Sat, 26 Mar 2005 02:41:45 GMT
Hi Brian Gooding,

You are right that the JDO Reference Enhancer does not support JDK 1.5 
class file format.

We have recently moved the JDO project to Apache where we expect to 
maintain it. You can file a JIRA request for this to be resolved and 
the community can take it from there.

Best regards,

Craig

On Mar 24, 2005, at 11:33 AM, Brian Gooding wrote:

> Dear Sirs,
>  
> I have been using JDO for some time now (which is great), but I now 
> wish to use it on an application which really needs to be using 
> JDK1.5.0. I believe that the JDO enhancer for the Reference 
> Implementation that I'm currently using (jdori-1_0-fcs-src-04_Mar_2002 
> ) is not compatible with JDK1.5. Could you please tell me whether or 
> not the latest version is compatible, and if not, at when there is 
> likely to be a version that is compatible.
>  
> Yours sincerely
>  
> Brian Gooding
> ----------------------------------------
> BG Software Design .
> 2 Hugh Little Garth
> Upperby
> Carlisle
> CA2 4LQ
>  
> Tel: 01228 535559
>
Craig Russell
Architect, Sun Java Enterprise System http://java.sun.com/products/jdo
408 276-5638 mailto:Craig.Russell@sun.com
P.S. A good JDO? O, Gasp!

Mime
View raw message